LibreOffice: DataImporter Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
DataImporter Service Referencepublished

allows importing data from one configuration repository into another. More...

`import "DataImporter.idl";`

Inheritance diagram for DataImporter:

## Exported Interfaces
interface | com::sun::star::task::XJob
| allows running an import job

## Additional Inherited Members
Public Member Functions inherited from XJob
any | execute ([in] sequence< com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::uno::Exception )
| executes the job synchronously
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows importing data from one configuration repository into another.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::task::XJob

interface com::sun::star::task::XJob

allows running an import job

The source and destination repositories are selected by arguments passed to com::sun::star::task::XJob::execute(). The names and meanings of such arguments depend on the implementation. Each implementation must document such arguments.

Implementations may return a value from com::sun::star::task::XJob::execute() that indicates the status of job execution. The type and meaning of such status indicators depend on the implementation.

If VOID or TRUE is returned, this indicates successful execution. If an com::sun::star::uno::Exception is returned, it represents an error condition encountered during execution.

The following arguments to com::sun::star::task::XJob::execute() should be supported by implementations. Implementations must document a failure to support any of these arguments:

`ImporterService` : string
  A service or implementation name used to instantiate the Importer to use for importing. If this parameter is missing, the implementation selects an appropriate importer. By default, a MergeImporter should be used.
`OverwriteExisting` : boolean
  If TRUE, specifies that no existing data should be overwritten by the import. If the Importer used does not support such protection, an error may be raised. If some data is not imported, because there is existing data, this is indicated by returning an appropriate exception.
`TruncateExisting` : boolean
  If TRUE, specifies that existing data should be discarded and replaced by the imported data. If the Importer used does not support this operation, an error may be raised. By default, a CopyImporter is used to perform truncating import.
`Entity` : string
  An identifier for the entity in the destination backend for which the imported data should apply. The value will be passed to XLayerImporter::importLayerForEntity(). If this parameter is missing, the implementation uses XLayerImporter::importLayer() instead.
`Component` : string
  Names the component for which to import data. If this parameter is missing, the selection of data to import depends on implementation-specific parameters.
`LayerFilter` : LayerFilter
  A filter to transform data during import. This parameter is optional. If this parameter is missing, data will be imported unaltered. Support for this parameter is optional. If the implementation does not support a filter it will raise an com::sun::star::lang::IllegalArgumentException.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/DataImporter.idl